/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache.aop.test;

/**
 * Test class for PojoCache using annotation. This represents a special resource
 * type that can be declared @Transient. That is, it is neither PojoCacheable nor
 * Serializable.
 *
 * @version $Revision: 1.1 $
 */
public class Resource
{
   String connection = null;
   String name = null;

   public String getName() {
      return name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getConnection() {
      return connection;
   }

   public void setConnection(String connection) {
      this.connection = connection;
   }

   public String toString()
   {
      return "name=" + getName() + ", type=" + getConnection();
   }
}
